Permalink
Browse files

Workaround Mono regex bug to fix `require` with IronRuby on Mono.

  • Loading branch information...
1 parent b328b20 commit b4fb1fd411a5fb71b5186a88d88ebe1db82d15c2 @vikhyat vikhyat committed Feb 21, 2013
Showing with 2 additions and 2 deletions.
  1. +2 −2 Languages/Ruby/StdLib/ruby/1.9.1/rubygems/requirement.rb
@@ -10,10 +10,10 @@ class Gem::Requirement
OPS = { #:nodoc:
"=" => lambda { |v, r| v == r },
"!=" => lambda { |v, r| v != r },
- ">" => lambda { |v, r| v > r },
- "<" => lambda { |v, r| v < r },
">=" => lambda { |v, r| v >= r },
"<=" => lambda { |v, r| v <= r },
+ ">" => lambda { |v, r| v > r },
+ "<" => lambda { |v, r| v < r },
"~>" => lambda { |v, r| v = v.release; v >= r && v < r.bump }
}

0 comments on commit b4fb1fd

Please sign in to comment.